Package org.gradle.language

## Interface ComponentDependencies

- All Known Subinterfaces:
    `LibraryDependencies`

      public interface ComponentDependencies

  Allows the implementation dependencies of a component to be specified.
  Since:
    4.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `implementation​(java.lang.Object notation)` | Adds an implementation dependency to this component.
    `void` | `implementation​(java.lang.Object notation, Action<? super ExternalModuleDependency> action)` | Adds an implementation dependency to this component.

- - ### Method Detail

    - #### implementation

          void implementation​(java.lang.Object notation)

      Adds an implementation dependency to this component. An implementation dependency is not visible to consumers that are compiled against this component.
      Parameters:
        `notation` - The dependency notation, as per `DependencyHandler.create(Object)`.

    - #### implementation

          void implementation​(java.lang.Object notation,
                              Action<? super ExternalModuleDependency> action)

      Adds an implementation dependency to this component. An implementation dependency is not visible to consumers that are compiled against this component.
      Parameters:
        `notation` - The dependency notation, as per `DependencyHandler.create(Object)`.
        `action` - The action to run to configure the dependency.